# Scut-Reminder 

Scut-Reminder est un petit utilitaire en ligne de commande pour gérer et lister vos raccourcis d'application favoris.

## Usage

```
scut					// Affiche la liste des applications 
scut -c MaConfig.json -a "nevim"  	// Affiche liste des raccourcis de nevim de MaConfig.json
scut -a "Visual Studio Code" 		// Affiche liste des raccourcis de vscode
```

## Options

- `-c NomDuFichierConfig`  Utiliser ce fichier de configuration au lieu de `config.json` (par défaut)
- `-a Nom Application`   	Afficher les raccourcis de l'application spécifiée
- `-h` 	     		Afficher l'aide

## Installation

Téléchargez le fichier binaire pour votre plateforme à partir de la section Releases.
```
curl -s https://git.bcmaison.cf/Outils/scut-reminder/raw/branch/main/install.sh | sh -s
```

## Configuration

Le fichier `config.json` doit respecter ce format :

```json
{
  "apps": [
    {
      "name": "neovim",
      "shortcuts": {
        "ctrl+alt+n": "Open neovim",
        "ctrl+n": "Split neovim horizontally" 
      }       
    },
    {  
      "name": "vscode",   
      "shortcuts": {   
        "ctrl+shift+p": "Command palette"   
      }       
    }
  ]
}
```
